pro uti_phaseclosure
;yes
;=Task:UTI_PHASECLOSURE --- To plot the phase closure of data
;#Type: utility
;+Use:
;      To check the phase closure of the data, one can use the commnad
;      UTI_PHASECLOSURE. To use it, just type
;      >uti_phaseclosure
;      Following the questions in this program, the plot of the phase
;      closure vs. time will be shown.
;&history:
;------------------------------------------------------------------------
;      cykuo 19feb04 adapting the header
;------------------------------------------------------------------------

common global
common data_set

red = [0,1,1,0,0,1]
green = [0,1,0,1,0,1]
blue = [0,1,0,0,1,0]
; color 2 = red
;       3 = green
;       4 = blue
;       5 = yellow
tvlct, 255*red, 255*green, 255*blue
j=0
while(j eq 0) do begin
temp=''
start:
print,'Enter 3 antenna numbers seperated by comma, eg: 2,3,4'
read,temp
if temp eq '' then goto,finish
parts=strtrim(str_sep(temp,','),2)
if n_elements(parts) ne 3 then begin
  print, 'Please input 3 antenna numbers !'
  goto, start
endif
parts=parts(sort(parts))
titlename='Phase Closure: '+parts(0)+'-'+parts(1)+'-'+parts(2)
bsl=strarr(3)
bsl=[parts(0)+'-'+parts(1),parts(1)+'-'+parts(2),parts(0)+'-'+parts(2)]
print,'getting phase closure of ',parts(0)+'-'+parts(1)+'-'+parts(2)
ii=where(bsl[0] eq c.blcd, count)
if (count gt 0) then begin
   cmd='"wt" gt "0" and "band" eq "c1" and "sb" eq "l" and "blcd" eq "'+c.blcd(ii)+'"'
   result=dat_list(s_l,cmd[0],/reset,/no_notify)
   l01=bl[pbl].phaave
   cmd='"wt" gt "0" and "band" eq "c1" and "sb" eq "u" and "blcd" eq "'+c.blcd(ii)+'"'
   result=dat_list(s_l,cmd[0],/reset,/no_notify)
   u01=bl[pbl].phaave
endif else begin
   print, 'Baseline ',bsl[i],' not found !'
   goto, start
endelse

ii=where(bsl[1] eq c.blcd, count)
if (count gt 0) then begin
   cmd='"wt" gt "0" and "band" eq "c1" and "sb" eq "l" and "blcd" eq "'+c.blcd(ii)+'"'
   result=dat_list(s_l,cmd[0],/reset,/no_notify)
   l12=bl[pbl].phaave
   cmd='"wt" gt "0" and "band" eq "c1" and "sb" eq "u" and "blcd" eq "'+c.blcd(ii)+'"'
   result=dat_list(s_l,cmd[0],/reset,/no_notify)
   u12=bl[pbl].phaave
endif else begin
   print, 'Baseline ',bsl[i],' not found !'
   goto, start
endelse

ii=where(bsl[2] eq c.blcd, count)
if (count gt 0) then begin
   cmd='"wt" gt "0" and "band" eq "c1" and "sb" eq "l" and "blcd" eq "'+c.blcd(ii)+'"'
   result=dat_list(s_l,cmd[0],/reset,/no_notify)
   l02=bl[pbl].phaave
   cmd='"wt" gt "0" and "band" eq "c1" and "sb" eq "u" and "blcd" eq "'+c.blcd(ii)+'"'
   result=dat_list(s_l,cmd[0],/reset,/no_notify)
   u02=bl[pbl].phaave
endif else begin
   print, 'Baseline ',bsl[i],' not found !'
   goto, start
endelse

l012=l01+l12-l02
l012=uti_pha_180(l012)
u012=u01+u12-u02
u012=uti_pha_180(u012)
;x=indgen(n_elements(pbl))
x=in[pil].int
plot,x,l012,/nodata,yrange=[-180,180],/ystyle,ytitle='P H A S E',title=titlename,xtitle='I N T E G R A T I O N'
oplot,x,l012,psym=4,color=2
oplot,x,u012,psym=4,color=3
xyouts,max(x)/3,160,'Sideband L',color=2,charsize=8
xyouts,max(x)/1.5,160,'Sideband U',color=3,charsize=8
finish:
temp1=''
read,temp1,prompt='Another sets of antenna ? Y/[N]:'
if (temp1 eq 'N' or temp1 eq 'n' or temp1 eq 'no' or temp1 eq 'NO') then j=1
endwhile

end

